/*
 * main.c
 *      Author: GSI
 */

#include <usbstk5515.h>
#include <stdio.h>

//Addresses of the MMIO for the GPIO out registers: 1,2 
#define LED_OUT1 *((ioport volatile Uint16*) __blank a__ )
#define LED_OUT2 *((ioport volatile Uint16*) __blank b__ )
//Addresses of the MMIO for the GPIO direction registers: 1,2
#define LED_DIR1 *((ioport volatile Uint16*) __blank c__ )
#define LED_DIR2 *((ioport volatile Uint16*) __blank d__ )


//Toggles LED specified by index Range 0 to 3
void toggle_LED(int index)
{
	if(index == 3)  //Blue
		LED_OUT1 = LED_OUT1 ^ (Uint16)(1<<( __blank e__));
	else if(index == 2)  //Yellow(ish)
		LED_OUT1 = LED_OUT1 ^ (Uint16)(1<<( __blank f__));
	else if(index == 1)  //Red
		LED_OUT2 = LED_OUT2 ^ (Uint16)(1<<( __blank g__));
	else if(index == 0)  //Green
		LED_OUT2 = LED_OUT2 ^ (Uint16)(1<<( __blank h__));
}

//Makes the GPIO associated with the LEDs the correct direction; turns them off
void My_LED_init()
{
	LED_DIR1 |= __blank i__;
	LED_DIR2 |= __blank j__;

	LED_OUT1 |= __blank k__;  //Set LEDs 0, 1 to off
	LED_OUT2 |= __blank l__;  //Set LEDs 2, 3 to off
}

void main(void)
{
	Uint16 value;
	USBSTK5515_init(); //Initializing the Processor
	My_LED_init();
	while(1)
	{
		printf("Which LED shall we toggle(0, 1, 2, or 3)?\n");
		scanf("%d",&value);
		toggle_LED(value);
	}
}
