/*
 * main.c
 *
 *      Author: GSI
 */

#include <usbstk5515.h>
#include <usbstk5515_i2c.h>
#include <stdio.h>
#include <LCD_FCN.h>

Uint8 top [128];
Uint8 bottom [128];

void main(void)
{
	Uint16 i;

	USBSTK5515_init();//Initializing the Processer
	LCD_init(); //Initializing the LCD and I2C
	//Making the zig-zag
	for(i = 0; i<16; i++)
	{
		if(i<8)
		{
			top[i] = 0x01 << i;
			bottom[i] = 0;
		}
		else
		{
			top[i] = 0;
			bottom[i] = 0x01 << (i-8);
		}
	}
	for(i = 16; i<32; i++)
	{
		if(i<24)
		{
			top[i] = 0;
			bottom[i] = 0x80 >> (i-16);
		}
		else
		{
			top[i] = 0x80 >> (i-24);
			bottom[i] = 0;
		}
	}
	for(i=32; i<48; i++)
	{
		if(i<40)
		{
			top[i] = 0x01 << (i-32);
			bottom[i] = 0;
		}
		else
		{
			top[i] = 0;
			bottom[i] = 0x01 << (i-40);
		}
	}
	for(i=48; i<64; i++)
	{
		if(i<56)
		{
			top[i] = 0;
			bottom[i] = 0x80 >> (i-48);
		}
		else
		{
			top[i] = 0x80 >> (i-56);
			bottom[i] = 0;
		}
	}

	for(i = 0; i<16; i++)
	{
		if(i<8)
		{
			top[i + 64] = 0x01 << i;
			bottom[i + 64] = 0;
		}
		else
		{
			top[i + 64] = 0;
			bottom[i + 64] = 0x01 << (i-8);
		}
	}
	for(i = 16; i<32; i++)
	{
		if(i<24)
		{
			top[i + 64] = 0;
			bottom[i + 64] = 0x80 >> (i-16);
		}
		else
		{
			top[i + 64] = 0x80 >> (i-24);
			bottom[i + 64] = 0;
		}
	}
	for(i=32; i<48; i++)
	{
		if(i<40)
		{
			top[i + 64] = 0x01 << (i-32);
			bottom[i + 64] = 0;
		}
		else
		{
			top[i + 64] = 0;
			bottom[i + 64] = 0x01 << (i-40);
		}
	}
	for(i=48; i<64; i++)
	{
		if(i<56)
		{
			top[i + 64] = 0;
			bottom[i + 64] = 0x80 >> (i-48);
		}
		else
		{
			top[i + 64] = 0x80 >> (i-56);
			bottom[i + 64] = 0;
		}
	}

	//Done making the zig-zag
	printf("Here we go\n");

	OSD9616_send(0x00,0x00);
	OSD9616_send(0x00,0x10);
	OSD9616_send(0x00,0xb0);   // Set page for page pointer to page 0
	for(i=0; i<128; i++)
	{
		OSD9616_send(0x40, top[i]); // Writes the top page
	}
	OSD9616_send(0x00,0x00);
	OSD9616_send(0x00,0x10);
	OSD9616_send(0x00,0xb1);   // Set page for page pointer to page 1
	for(i=0; i<128; i++)
	{
		OSD9616_send(0x40, bottom[i]);// Writes the bottom page
	}
}
